Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.encoding
Class BaseDigestPasswordEncoder

    java.lang.Object
      org.acegisecurity.providers.encoding.BasePasswordEncoder
          org.acegisecurity.providers.encoding.BaseDigestPasswordEncoder

All Implemented Interfaces:
  PasswordEncoder

Direct Known Subclasses:
  Md5PasswordEncoder, ShaPasswordEncoder

    public abstract class BaseDigestPasswordEncoder

extends BasePasswordEncoder

Convenience base for digest password encoders.

Version:
  $Id: BaseDigestPasswordEncoder.java,v 1.5 2005/11/17 00:55:49 benalex Exp $
Author:
  colin sampaleanu

Constructor Summary
`BaseDigestPasswordEncoder()`

Method Summary
`boolean` | `getEncodeHashAsBase64()`
`void` | `setEncodeHashAsBase64(boolean encodeHashAsBase64)` The encoded password is normally returned as Hex (32 char) version of the hash bytes.

Methods inherited from class org.acegisecurity.providers.encoding.BasePasswordEncoder
`demergePasswordAndSalt, mergePasswordAndSalt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.providers.encoding.PasswordEncoder
`encodePassword, isPasswordValid`

Constructor Detail

### BaseDigestPasswordEncoder

    public BaseDigestPasswordEncoder()

Method Detail

### setEncodeHashAsBase64

    public void setEncodeHashAsBase64(boolean encodeHashAsBase64)

  The encoded password is normally returned as Hex (32 char) version of the hash bytes. Setting this property to true will cause the encoded pass to be returned as Base64 text, which will consume 24 characters.

  Parameters:
    `encodeHashAsBase64` - set to true for Base64 output

### getEncodeHashAsBase64

    public boolean getEncodeHashAsBase64()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.